Bug 199028 - Review Request: perl-eperl
Review Request: perl-eperl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-15 20:40 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 17:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-15 20:40:24 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-eperl/perl-eperl.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-eperl-2.2.14-2.src.rpm
Description:
ePerl interprets an ASCII file bristled with Perl 5 program statements
by evaluating the Perl 5 code while passing through the plain ASCII
data. It can operate in various ways: As a stand-alone Unix filter or
integrated Perl 5 module for general file generation tasks and as a
powerful Webserver scripting language for dynamic HTML page
programming.

The documentation and latest release can be found on
http://www.ossp.org/pkg/tool/eperl/

Note that this package does not include the Apache::ePerl module,
which is designed for mod_perl 1.x.
Comment 1 Chris Weyl 2006-07-18 01:23:13 EDT
I struggled with the naming a bit, as eperl is more than just a perl module.
However, it is indeed a module "and then some", which I believe makes it
appropriate to prefix "perl-".  The website and documentation also switch from
"ePerl" to "eperl" fairly frequently, so I defer to the packager.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. (GPL or Artistic)
+ License text included in package.
+ source files match upstream:
9af0f728e08ef8b3cf45f13782cc28da  eperl_2.2.14-13.diff.gz
9af0f728e08ef8b3cf45f13782cc28da  eperl_2.2.14-13.diff.gz.srpm
0213580b6711b5312d1873f9732ae8d6  eperl-2.2.14.tar.gz
0213580b6711b5312d1873f9732ae8d6  eperl-2.2.14.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
 package builds in mock (devel/fc5 x86_64).
+ rpmlint is silent.
+ final provides and requires are sane:
 ePerl.so()(64bit)
 Perl(Parse::ePerl) = 2.2.14
 perl-eperl = 2.2.14-2.fc5
=
 libdb-4.3.so()(64bit)
 libgdbm.so.2()(64bit)
 libperl.so()(64bit)
 perl >= 0:5.00325
 perl(:MODULE_COMPAT_5.8.8)
 perl(AutoLoader)
 perl(Carp)
 perl(Cwd)
 perl(DynaLoader)
 perl(Exporter)
 perl(strict)
 perl(vars)
+ no shared libraries in the system dynamic paths are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
t/01_load..........ok
t/02_preprocess....ok
t/03_translate.....ok
t/04_precompile....ok
t/05_evaluate......ok
t/06_expand........ok
t/07_delimiter.....ok
All tests successful.
Files=7, Tests=9,  0 wallclock secs ( 0.16 cusr +  0.11 csys =  0.27 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

APPROVED
Comment 2 Steven Pritchard 2006-07-20 17:39:00 EDT
(In reply to comment #1)
> I struggled with the naming a bit, as eperl is more than just a perl module.
> However, it is indeed a module "and then some", which I believe makes it
> appropriate to prefix "perl-".  The website and documentation also switch from
> "ePerl" to "eperl" fairly frequently, so I defer to the packager.

I was going for perl-$CPAN_name (even though is isn't on CPAN).  It's as
appropriate as anything...

It's been imported into CVS, branches have been created, and builds have been
requested.

Note You need to log in before you can comment on or make changes to this bug.